
%define rel 2

Name: nepomuk-webminer
Summary: Nepomuk Service finds additional data on the internet
Version: 0.5
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: GPLv2
URL: https://projects.kde.org/projects/extragear/base/nepomuk-webminer
#Source0: http://download.kde.org/unstable/nepomuk/%name-%version.tar.bz2
# git archive --format=tar --remote=git://anongit.kde.org/nepomuk-webminer --prefix=nepomuk-webminer-%version/ v0.3 -v -o nepomuk-webminer-%version.tar
# xz nepomuk-webminer-%version.tar.tar

Source0: nepomuk-webminer-%{version}.tar.xz
Patch0:  nepomuk-webminer-0.5-fix-desktop.patch
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(taglib)
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: nepomuk-core-devel
BuildRequires: doxygen
BuildRequires: python-kde4

Requires: python-requests
Requires: python-beautifulsoup
Requires: python-musicbrainz-ngs
Requires: python-beautifulsoup4
Requires: python-httplib2
Requires: python-imdbpy
Requires: tvdb_api
Requires: python-kde4

Requires: kross-interpreters-python
Suggests: kross-interpreters-ruby
Suggests: kross-interpreters-java

%description
Finds additional metadata on the internet (via Python plugins)
and adds it to Nepomuk.
Can retrieve data for any document/movie/tv-show or music file.

%files
%_kde_bindir/nepomuk-webminer
%_kde_libdir/kde4/kcm_nepomuk-webminer.so
%_kde_libdir/kde4/nepomukwebminerplugin.so
%_kde_libdir/kde4/nepomuk-webminerservice.so
%_kde_appsdir/khtml/kpartplugins/nepomukwebminerplugin.*
%_kde_appsdir/kwebkitpart/kpartplugins/nepomukwebminerplugin.*
%_kde_appsdir/nepomuk-webminer/
%_kde_datadir/config.kcfg/nepomuk-webminer.kcfg
%_kde_services/nepomuk-webminerservice.desktop
%_kde_services/kcm_nepomuk-webminer.desktop
%_kde_services/nepomuk-webminer.desktop
%_kde_datadir/ontology/nepomuk/nbib.ontology
%_kde_datadir/ontology/nepomuk/nbib.trig
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kcontrol/nepomuk-webminer/
%_datadir/dbus-1/interfaces/org.kde.nepomuk.WebMiner.xml

#-----------------------------------------------------------------------------
%define nepomukwebminerlib_major 4
%define libnepomukwebminerlib %mklibname nepomukwebminerlib %{nepomukwebminerlib_major}

%package -n %libnepomukwebminerlib
Summary: Runtime library for %name
Group: System/Libraries

%description -n %libnepomukwebminerlib
This package provides the runtime library needed by %name

%files -n %libnepomukwebminerlib
%_libdir/libnepomuk-webminerlib.so.%{nepomukwebminerlib_major}*

#-----------------------------------------------------------------------------

%package devel
Summary: Devel files for %name
Group: Development/KDE and Qt
Requires: %libnepomukwebminerlib = %version-%release

%description devel
This package provides the devel files for %name

%files devel
%_libdir/libnepomuk-webminerlib.so
%_kde_includedir/nepomuk-webminer

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5-2.mga4
+ Revision: 522166
- Mageia 4 Mass Rebuild

* Sat Feb 09 2013 mikala <mikala> 0.5-1.mga3
+ Revision: 397508
- Rewrite patch1 to in fact install the .desktop in services datadir
- Fix description length
- Add kross-interpreters-python as requires (needed for default installed plugins)
- Add as suggests the java & ruby kross-interpreters
- Add patch0 to fix desktop validation step
- Fix files list
- Add missing buildrequires
- Add runtime dependencies as requires
- imported package nepomuk-webminer

  + neoclust <neoclust>
    - New version 0.5

